<?php
/**
 * Template Name: Blog Full Width
 *
 */
 
get_header(); 
$my_meta = get_post_meta( get_the_ID() ,'_my_meta', TRUE );
if( isset($my_meta['banner_enable'])==true ) {
spasalon_page_banner_strip();
}
else
{
spasalon_pink_banner_strip(); // banner strip
}
?>

<!-- Blog & Sidebar Section -->
<section id="section">		
	<div class="container">
		<div class="row">
			
			<!--Blog Detail-->
			<div class="col-md-12 col-xs-12">
				<div class="site-content">
				
				<?php 
				$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
				$args = array( 'post_type' => 'post','paged'=>$paged );	
				$loop = new WP_Query( $args );
				?>
					
					<?php if( $loop->have_posts() ): ?>
					
						<?php while( $loop->have_posts() ): $loop->the_post(); ?>
						
							<?php get_template_part('content',''); ?>
					
						<?php endwhile; ?>
						
						<div class="paginations">
						<?php
						$GLOBALS['wp_query']->max_num_pages = $loop->max_num_pages;
						// Previous/next page navigation.
						the_posts_pagination( array(
						'prev_text'          => __('Previous','spasalon'),
						'next_text'          => __('Next','spasalon')
						) ); ?>
						</div>
						
					<?php else: ?>
						
						<?php get_template_part('content','none'); ?>
						
					<?php endif; ?>
			
				</div>
			</div>
			<!--/End of Blog Detail-->
		
		</div>	
	</div>
</section>
<!-- End of Blog & Sidebar Section -->
 
<div class="clearfix"></div>

<?php get_footer(); ?>