<?php 
function spasalon_general_settings_customizer( $wp_customize ){

// Theme color
class WP_color_Customize_Control extends WP_Customize_Control {
public $type = 'new_menu';

       function render_content()
       
	   {
	   echo '<h3>'.__('Default Color Skins', 'spasalon').'</h3>';
		  $name = '_customize-color-radio-' . $this->id; 
		  foreach($this->choices as $key => $value ) {
            ?>
               <label>
				<input type="radio" value="<?php echo $key; ?>" name="<?php echo esc_attr( $name ); ?>" data-customize-setting-link="<?php echo esc_attr( $this->id ); ?>" <?php if($this->value() == $key){ echo 'checked="checked"'; } ?>>
				<img <?php if($this->value() == $key){ echo 'class="color_scheem_active"'; } ?> src="<?php echo get_template_directory_uri(); ?>/images/color/<?php echo $value; ?>" alt="<?php echo esc_attr( $value ); ?>" />
				</label>
				
            <?php
		  }
		  ?>
		  <script>
			jQuery(document).ready(function($) {
				$("#customize-control-spa_theme_options-color_scheme_style label img").click(function(){
					$("#customize-control-spa_theme_options-color_scheme_style img").removeClass("color_scheem_active");
					$(this).addClass("color_scheem_active");
				});
			});
		  </script>
		  <?php
       }

}


// list control categories	
if ( ! class_exists( 'WP_Customize_Control' ) ) return NULL;

 class Category_Dropdown_Custom_Control extends WP_Customize_Control
 {
    private $cats = false;
	
    public function __construct($wp_customize, $id, $args = array(), $options = array())
    {
        $this->cats = get_categories($options);
        parent::__construct( $wp_customize, $id, $args );
    }

    public function render_content()
       {
            if(!empty($this->cats))
            {
                ?>
                    <label>
                      <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
                      <select <?php $this->link(); ?>>
                           <?php
                                foreach ( $this->cats as $cat )
                                {
                                    printf('<option value="%s" %s>%s</option>', $cat->term_id, selected($this->value(), $cat->term_id, false), $cat->name);
                                }
                           ?>
                      </select>
                    </label>
                <?php
            }
       }
 }
// list contro categories

	/* general settings */
	$wp_customize->add_panel( 'general_settings', array(
		'priority'       => 125,
		'capability'     => 'edit_theme_options',
		'title'      => __('General Settings', 'spasalon'),
	) );
	
	
		/* color scheme section */
		$wp_customize->add_section( 'color_scheme' , array(
			'title'      => __('Color Schemes', 'spasalon'),
			'panel'  => 'general_settings'
		) );
	
			// color scheme
			$wp_customize->add_setting( 'spa_theme_options[color_scheme_style]' , array(
			'default'    => 'default.css',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			));

			$wp_customize->add_control( new WP_color_Customize_Control( $wp_customize , 'spa_theme_options[color_scheme_style]' , array(
			'label' => __('Color Scheme','spasalon'),
			'section' => 'color_scheme',
			'type'=>'select',
			'choices'=> array(
				'default.css'=>'default.png',
				'aqua.css'=>'aqua.png',
				'blue.css'=>'blue.png',
				'fiord.css'=>'fiord.png',
				'green.css'=>'green.png',
				'mandy.css'=>'mandy.png',
				'orange.css'=>'orange.png',
				'purple.css'=>'purple.png',
				'sea-green.css'=>'sea-green.png',
			) ) ) );
			
			// custom color enable / disable
			$wp_customize->add_setting( 'spa_theme_options[custom_color_enable]' , array(
			'default'    => false,
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			));
			$wp_customize->add_control( 'spa_theme_options[custom_color_enable]' , array(
			'label' => __('Enable Custom Color','spasalon'),
			'section' => 'color_scheme',
			'type'=>'checkbox'
			) );
			
			// custom color
			$wp_customize->add_setting( 'spa_theme_options[custom_color]' , array(
			'default'    => '#f22853',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			));
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize , 'spa_theme_options[custom_color]' , array(
			'label' => __('Choose Your Color Scheme','spasalon'),
			'section' => 'color_scheme',
			'settings'=>'spa_theme_options[custom_color]'
			) ) );
			
			
		/* Banner section */
		$wp_customize->add_section( 'banner_section' , array(
			'title'      => __('Banner Settings', 'spasalon'),
			'panel'  => 'general_settings'
		) );
		
			// banner settings
			$wp_customize->add_setting( 'spa_theme_options[spa_bannerstrip_enable]' , array(
			'default' => 'yes',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[spa_bannerstrip_enable]' , array(
			'label'          => __( 'Enable Spa Banner strip in all pages', 'spasalon' ),
			'section'        => 'banner_section',
			'type'           => 'radio',
			'choices'        => array(
				'yes' => 'ON',
				'no'  => 'OFF'
			) ) );
			
			// banner call us no
			$wp_customize->add_setting( 'spa_theme_options[call_us]' , array(
			'default' => '201 567 8978',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[call_us]' , array(
			'label'          => __( 'Call us on', 'spasalon' ),
			'section'        => 'banner_section',
			'type'           => 'text'
			) );
			
			// banner call us text
			$wp_customize->add_setting( 'spa_theme_options[call_us_text]' , array(
			'default' => __('Call us on','spasalon'),
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[call_us_text]' , array(
			'label'          => __( 'Call us Text', 'spasalon' ),
			'section'        => 'banner_section',
			'type'           => 'text'
			) );
			
		/* custom css section */
		$wp_customize->add_section( 'custom_css_section' , array(
			'title'      => __('Custom CSS', 'spasalon'),
			'panel'  => 'general_settings'
		) );
		
			// banner settings
			$wp_customize->add_setting( 'spa_theme_options[spa_custom_css]' , array(
			'default' => '',
			'sanitize_callback' => 'sanitize_text_field',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[spa_custom_css]' , array(
			'label'          => __( 'Custom CSS', 'spasalon' ),
			'section'        => 'custom_css_section',
			'type'           => 'textarea'
			) );
			
		/* footer copyright section */
		$wp_customize->add_section( 'copyright_section' , array(
			'title'      => __('Footer Copyright', 'spasalon'),
			'panel'  => 'general_settings'
		) );
		
			// banner settings
			$wp_customize->add_setting( 'spa_theme_options[footer_tagline]' , array(
			'default' => '&copy; '.__('Copyright 2016. All Rights Reserved by', 'spasalon').' <a href="#">'.__('Webriti', 'spasalon').'</a>',
			'type'=>'option'
			) );
			$wp_customize->add_control('spa_theme_options[footer_tagline]' , array(
			'label'          => __( 'Copyright Text', 'spasalon' ),
			'section'        => 'copyright_section',
			'type'           => 'textarea'
			) );
	
}
add_action( 'customize_register', 'spasalon_general_settings_customizer' );
