<?php 
function default_data(){
	return array(
	
	// general settings
	'spa_bannerstrip_enable' => 'yes',
	'color_scheme_style'=>'default.css',
	'custom_color_enable'=>false,
	'custom_color'=>'#f22853',
	'spa_custom_css'=>'',
	'upload_image'=>'',
	'width'=>150,
	'height'=>35,
	'enable_logo_text' => false,
	'slider_caption_title_color' => '#fff',
	'slider_caption_overlay_color' =>'#fff',
	
	// footer copyright
	'footer_tagline'=>'&copy; Copyright 2016. All Rights Reserved by <a href="#">Webriti</a>',
	
	// home page settings
	'call_us'=> __( '201 567 8978' , 'spasalon' ),
	'call_us_text'=>__( 'Call us on' , 'spasalon' ),
	
	// slider settings
	'slider_bannerstrip_enable'=>'yes',
	'slider_thumbnails_enable'=>'yes',
	'slider_entries_main'=>10,
	'slide_effect_main'=>'slide',
	'animation_speed_main'=>3000,
	'auto_slide_interval_main'=>1500,
	'slider_cat'=>'',
	'slider_caption_align'=>'left',
	'slider_caption_color'=>'white',
	
	// services settings
	'service_hide' => false,
	'service_layout'=> 4,
	'tagline_title'=>__( 'Treatment we are offering' , 'spasalon' ),
	'tagline_contents'=>__( 'In commodo pulvinar metus, id tristique massa ultrices at. Nulla auctor turpis ut mi pulvinar eu accumsan risus sagittis. Mauris nunc ligula, ullamcorper vitae accumsan eu,congue in nulla. Cras hendrerit mi quis nisi semper in sodales nisl faucibus. Sed quis quam eu ante ornare hendrerit.' , 'spasalon' ),
	'tagline_item'=>4,
	
	// project settings
	'project_hide' => false,
	'product_title'=>__( 'Spasalon Our product rang' , 'spasalon' ),
	'product_contents'=>__( 'A SpaSalon Produc Heading Title In commodo pulvinar metus, id tristique massa ultrices at. Nulla auctor turpis ut mi pulvinar eu accumsan risus sagittis. Mauris nunc ligula, ullamcorper vitae accumsan eu, congue in nulla. Cras hendrerit mi quis nisi semper in sodales nisl faucibus. Sed quis quam eu ante ornare hendrerit.' , 'spasalon' ),
	'product_desc_length' => 10,
	
	// home page news settings
	'enable_news'=>true,
	'news_layout' => 2,
	'news_title'=>__('Our Latest News & Events','spasalon'),
	'news_contents'=>__('A SpaSalon Produc Heading Title In commodo pulvinar metus, id tristique massa ultrices at. Nulla auctor turpis ut mi pulvinar eu accumsan risus sagittis. Mauris nunc ligula, ullamcorper vitae accumsan eu, congue in nulla. Cras hendrerit mi quis nisi semper in sodales nisl faucibus. Sed quis quam eu ante ornare hendrerit.','spasalon'),
	'blog_selected_category_id'=> 1,
	'posts_per_page' => 2,
	
	// home page additional
	'homepage_additional_hide' => true,
	'homepage_additional_layout'=> 4,
	'homepage_additional_title'=>'',
	'homepage_additional_contents'=>'',
	
	// typography settings
	
	'h1_size'=>36,
	'h1_fontfamily'=>'Roboto',
	'h1_fontstyle'=>'normal',
	
	'h2_size'=>30,
	'h2_fontfamily'=>'Roboto',
	'h2_fontstyle'=>'normal',
	
	'h3_size'=>24,
	'h3_fontfamily'=>'Roboto',
	'h3_fontstyle'=>'normal',
	
	'h4_size'=>18,
	'h4_fontfamily'=>'Roboto',
	'h4_fontstyle'=>'normal',
	
	'h5_size'=>14,
	'h5_fontfamily'=>'Roboto',
	'h5_fontstyle'=>'normal',
	
	'h6_size'=>12,
	'h6_fontfamily'=>'Roboto',
	'h6_fontstyle'=>'normal',
	
	'home_section_title_fontsize'=>42,
	'home_section_title_fontfamily'=>'MarketingScript',
	'home_section_title_fontstyle'=>'normal',
	
	'home_section_desc_fontsize'=>16,
	'home_section_desc_fontfamily'=>'Droid Serif',
	'home_section_desc_fontstyle'=>'italic',
	
	'menu_title_fontsize'=>15,
	'menu_title_fontfamily'=>'Raleway',
	'menu_title_fontstyle'=>'normal',
	
	'post_title_fontsize'=>20,
	'post_title_fontfamily'=>'Roboto',
	'post_title_fontstyle'=>'normal',
	
	'postexcerpt_title_fontsize'=>15,
	'postexcerpt_fontfamily'=>'Roboto',
	'postexcerpt_fontstyle'=>'normal',
	
	'widget_title_fontsize'=>20,
	'widget_title_fontfamily'=>'Roboto',
	'widget_title_fontstyle'=>'normal',
	
	// about page settings
	'about_team_enable' => 'yes',
	'about_team_title'=>__( 'Meet Our Great Team' , 'spasalon' ),
	
	// categories slugs
	'spa_slider_slug' => 'spa-slider',
	'spa_services_slug' => 'spa-service',
	'spa_service_category_slug' => 'service-categories',
	'spa_team_slug' => 'spa-team',
	'spa_products_slug' => 'spa-products',
	'spa_products_category_slug' => 'product-categories',
	
	// contact page settings
	'contact_map_enable' => 'yes',
	'contact_map_title'=>__( 'Contact Info' , 'spasalon' ),
	'map'=>'',
	'contact_form_title'=>__( 'Get in Touch' , 'spasalon' ),
	'contact_address_title'=>__( 'Spa Salon' , 'spasalon' ),
	'adress_line_one'=>__( '8901 Marmora Road,' , 'spasalon' ),
	'adress_line_two'=>__( 'Glasgow,' , 'spasalon' ),
	'adress_line_three'=>__( 'D04 89GR.' , 'spasalon' ),
	'phone_number_one'=>__( '+1 800 559 6580' , 'spasalon' ),
	'phone_number_two'=>__( '+1 800 603 6035' , 'spasalon' ),
	'fax_number'=>__( '+1 800 889 9898' , 'spasalon' ),
	'email_address'=>__( 'themes@webriti.com' , 'spasalon' ),
	
	'open_hours_title'=>__( 'Opening Hours' , 'spasalon' ),
	'weekends_time'=>'11:00 – 17:30',
	'weekdays_time'=>'9:30 – 17:30',
	'wed_time'=>'9:30 – 22:00',
	'thudays_time'=>'9:30 – 22:00',
	'fridays_time'=>'9:30 – 21:00',
	'satdays_time'=>'9:30 – 17:30',
	'sundays_time'=>'12:00 – 17:00',
	
	// banner settings for archive
	'banner_title_one_category'=>__( 'GET YOURSELF' , 'spasalon' ),
	'banner_title_two_category'=>__( 'REFRESHED' , 'spasalon' ),
	'banner_description_category'=>__( 'Banner Description Donec justo odio, lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla. Curabitur sed lectus nulla.lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla rutrum sit amet mauris' , 'spasalon' ),
	
	'banner_title_one_author'=>__( 'GET YOURSELF' , 'spasalon' ),
	'banner_title_two_author'=>__( 'REFRESHED' , 'spasalon' ),
	'banner_description_author'=>__( 'Banner Description Donec justo odio, lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla. Curabitur sed lectus nulla.lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla rutrum sit amet mauris' , 'spasalon' ),
	
	'banner_title_one_404'=>__( 'GET YOURSELF' , 'spasalon' ),
	'banner_title_two_404'=>__( 'REFRESHED' , 'spasalon' ),
	'banner_description_404'=>__( 'Banner Description Donec justo odio, lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla. Curabitur sed lectus nulla.lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla rutrum sit amet mauris' , 'spasalon' ),
	
	'banner_title_one_tag'=>__( 'GET YOURSELF' , 'spasalon' ),
	'banner_title_two_tag'=>__( 'REFRESHED' , 'spasalon' ),
	'banner_description_tag'=>__( 'Banner Description Donec justo odio, lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla. Curabitur sed lectus nulla.lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla rutrum sit amet mauris' , 'spasalon' ),
	
	'banner_title_one_search'=>__( 'GET YOURSELF' , 'spasalon' ),
	'banner_title_two_search'=>__( 'REFRESHED' , 'spasalon' ),
	'banner_description_search'=>__( 'Banner Description Donec justo odio, lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla. Curabitur sed lectus nulla.lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla rutrum sit amet mauris' , 'spasalon' ),
	
	'banner_title_one_woo'=>__( 'GET YOURSELF' , 'spasalon' ),
	'banner_title_two_woo'=>__( 'REFRESHED' , 'spasalon' ),
	'banner_description_woo'=>__( 'Banner Description Donec justo odio, lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla. Curabitur sed lectus nulla.lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla rutrum sit amet mauris' , 'spasalon' ),
	
	'front_page_data'=>'slider,Service Section,product section,news,additional',
	
	);
}