<?php

$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );

if( $current_options['service_hide'] != true ):

?>

<!-- Service Section -->

<section id="section" class="service">

	<div class="container">
	
		<!-- Section Title -->
		
		<div class="row">
		
			<div class="col-md-12">
			
				<div class="section-header">
					
					<?php if( $current_options['tagline_title'] != '' ): ?>
					
					<h1 class="section-title txt-color">
					
						<?php echo $current_options['tagline_title']; ?>
						
					</h1>
					
					<?php endif; ?>
					
					<?php if( $current_options['tagline_contents'] != '' ): ?>
					
					<p class="section-subtitle">
					
						<?php echo $current_options['tagline_contents']; ?>
						
					</p>
					
					<?php endif; ?>
					
				</div>
				
			</div>
			
		</div>
		<!-- /Section Title -->	
		
		<?php if( is_active_sidebar('sidebar-service') ): ?>
		
		<div class="row">
		
			<?php dynamic_sidebar('sidebar-service'); ?>
		
		</div>
		
		<?php else: 
		
			get_template_part('index','service2');
		
		 endif; ?>
		
				
	</div>
	
</section>

<!-- End of Service Section -->

<div class="clearfix"></div>

<?php endif; ?>