<?php
$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );
?>
		<div class="row">
			
			<?php 
			
			$i=1;
			$arg = array( 'post_type' => 'spa_services','posts_per_page' => $current_options['tagline_item'] );
			$loop = new WP_Query( $arg );
			
			if( $loop->have_posts() ):
			
				while ( $loop->have_posts() ) : $loop->the_post();
				
					$my_meta = get_post_meta($post->ID,'_my_meta',TRUE);
					
					if($my_meta['link']!='')
					{	$meta_value_link = $my_meta['link'];	}
					else
					{	 $meta_value_link = get_permalink(); } 
				
					if(isset($my_meta['check']))
					{	$target ='target="_blank"';  } else { $target ='target="_self"';  }
			?>
			<div class="col-md-3 col-sm-6 col-xs-12">
				<div class="post">
					<div class="entry-header">
						<h4 class="entry-title">
							<a  href="<?php echo $meta_value_link; ?>" <?php echo $target; ?> title="<?php the_title(); ?>">
							<?php the_title(); ?>
							</a>
						</h4>
					</div>
					
					<?php 
					if( has_post_thumbnail() ):
					?>
					<a  href="<?php echo $meta_value_link; ?>" <?php echo $target; ?> title="<?php the_title(); ?>">
						<figure class="post-thumbnail">
							<?php the_post_thumbnail(); ?>
						</figure>
					</a>
					<?php 
					endif;
					?>
					
					<div class="entry-content">
						<?php 
							the_excerpt();
						?>
					</div>	
				</div>
			</div>
			
			<?php 
				if($i%4==0){ echo "<div class='clearfix'></div>"; } $i++;
				
				endwhile;
				
				wp_reset_postdata();
			
			else:
			
				for( $i=1; $i<=4; $i++ ){
					
					echo '<div class="col-md-3 col-sm-6 col-xs-12">
							<div class="post">
								<div class="entry-header">
									<h4 class="entry-title"><a href="#">'.__('Spa Treatment','spasalon').'</a></h4>
								</div>
								<figure class="post-thumbnail"><img alt="img" src="'.(get_template_directory_uri()).'/images/default/image_770x450.jpg"></figure>
								<div class="entry-content">
									<p>'.__('Pellen tesque habitant morbi tristique netus et malesuada fames ac turpis egestas In in massa urna, vitae vestibulum orci. yoursb Maecenas quis est sed mauris...','spasalon').'</p>
								</div>	
							</div>
						</div>';
				}
				
			endif;
			?>
			
		</div>