<?php
$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );
$call_us = $current_options['call_us'];
$slider_entries_main = $current_options['slider_entries_main'];
$slider_bannerstrip_enable = $current_options['slider_bannerstrip_enable'];

	if( $current_options['slider_cat'] ){
		
		$args = array( 'post_type' => 'post', 'category__in'=> $current_options['slider_cat'] , 'posts_per_page'=>$slider_entries_main );
	
	}
	else{
		
		$args = array( 'post_type' => 'spa_slider', 'posts_per_page'=>$slider_entries_main );
		
	}

$loop = new WP_Query( $args );
?>
<!-- Slider with Thumbnails -->
<div id="main" role="main">
	<section class="slider">
		<div id="slider" class="flexslider">
			<ul class="slides">
				<?php 
				
				if( $loop->have_posts() ):
				
					while ( $loop->have_posts() ) : $loop->the_post();
				
						$my_meta = get_post_meta( $post->ID ,'_my_meta', TRUE );
						
						if(isset($my_meta['link']))
						{	$meta_value_link = $my_meta['link'];	}
						else
						{	 $meta_value_link = get_permalink(); }
						
						if(isset($my_meta['check']))
						{	$target ='target="_blank"';  } else { $target ='target="_self"';  }
						
						$more_enable = sanitize_text_field( get_post_meta( get_the_ID(), 'more_enable', true ));
						$btn_text = sanitize_text_field( get_post_meta( get_the_ID(), 'btn_text', true ));
						$btn_link = sanitize_text_field( get_post_meta( get_the_ID(), 'btn_link', true ));
						$btn_target = sanitize_text_field( get_post_meta( get_the_ID(), 'btn_target', true ));
					
					if( has_post_thumbnail() ):
					
				?>
				<li>
					<?php 
						$title = get_post( get_post_thumbnail_id() )->post_title;
						$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), array( 1770 , 800 ) ); 
						$alt_text = get_post_meta( get_post_thumbnail_id() , '_wp_attachment_image_alt', true);
					?>
					<img alt="<?php echo $alt_text ?>" src="<?php echo $large_image_url[0]; ?>" title="<?php echo $title ?>"/>
					<?php if( $slider_bannerstrip_enable == 'yes' && isset($my_meta['banner_enable']) == true ): ?>
					<div class="container topbar-detail">
						<div class="col-md-3">
							<div class="title">
								<h4><?php if( isset( $my_meta['heading_one'] ) ){ echo $my_meta['heading_one']; } ?></h4>
								<h1><?php if( isset( $my_meta['heading_two'] ) ){ echo $my_meta['heading_two']; } ?></h1>
							</div>
						</div>
						<div class="col-md-6">
							<p class="description">
								<?php if( isset( $my_meta['banner_description'] ) ){ echo $my_meta['banner_description']; } ?>
							</p>
						</div>
						<div class="col-md-3"><div class="addr-detail"><address><?php echo $current_options['call_us_text']; ?> <strong><?php echo $call_us; ?></strong></address></div></div>
					</div>
					<?php else:  
					if( $slider_bannerstrip_enable == 'yes')
					{
					$postid = get_the_ID(); 
					if ( get_post_meta($postid, 'spa-page-banner-h1', true) || get_post_meta($postid, 'spa-page-banner-h2', true) || get_post_meta($postid, 'spa-page-description', true) )
					{
					?>
					<div class="container topbar-detail">
						<div class="col-md-3">
							<div class="title">
								<?php if( get_post_meta($postid, 'spa-page-banner-h1', true)) : ?>
								<h4><?php echo get_post_meta($postid, 'spa-page-banner-h1', true); ?></h4>
								<?php endif; ?>
								<?php if(get_post_meta($postid,'spa-page-banner-h2', true)): ?>
								<h1><?php echo get_post_meta($postid,'spa-page-banner-h2', true); ?></h1>
								<?php endif; ?>
							</div>
						</div>
						<div class="col-md-6">
							<?php if(get_post_meta($postid, 'spa-page-description', true)) :?>
							<p class="description">
							<?php echo get_post_meta($postid, 'spa-page-description', true);?>
							</p>
							<?php endif; ?>
						</div>
						<div class="col-md-3"><div class="addr-detail"><address><?php echo $current_options['call_us_text']; ?> <strong><?php echo $call_us; ?></strong></address></div></div>
					</div>
					<?php } } endif; ?>
					
					<div class="container caption-overlay text-<?php echo $current_options['slider_caption_align']; ?>">
					
						<?php 
						the_title( sprintf(
						
								__( '<h1 class="txt" style="color:%s;">', 'spasalon' ),
								
								$current_options['slider_caption_title_color']
								
							),'</h1>'); 
						?>
						<div class="txt">
						
							<?php 
							
							if( has_excerpt() ):
							
								the_excerpt(); 
								
							endif;
							
							?>
							
							<?php if( isset($more_enable) && $more_enable==true ): ?>
							
							<p>
								<?php 
								
									echo sprintf( '<p><a href="%1$s" class="more-link" '.( $btn_target == true ? 'target="_blank"' : '' ).'>%2$s</a></p>',
					
							esc_url( ( $btn_link != '' ? $btn_link : '' ) ),
							
							sprintf( ( $btn_text != '' ? $btn_text : __( 'Read More' , 'spasalon' ) ) )
							
						);
								
								?>
								
							</p>
							
							<?php endif; ?>
							
						</div>
						
					</div>
					
				</li>
				<?php 
				
					endif;
					
				endwhile;
					
					wp_reset_postdata();
					
				else : 
				
					for( $i=1; $i<=8; $i++){
						
					echo '	<li>
							<img alt="img" src="'.(get_template_directory_uri()).'/images/default/image_2000x800.jpg" />
							<div class="container topbar-detail">
								<div class="col-md-3"><div class="title"><h4>'.__('Get Yourself','spasalon').'</h4><h1>'.__('Refreshed','spasalon').'</h1></div></div>
								<div class="col-md-6"><p class="description">'.__('Donec justo odio, lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla. Curabitur sed lectus nulla.lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla rutrum sit amet mauris','spasalon').'</p></div>
								<div class="col-md-3"><div class="addr-detail"><address>'.__('CALL US ON','spasalon').'<strong>201 567 8978</strong></address></div></div>
							</div>
							
							<div class="container caption-overlay text-left">
								<h1 class="txt-black">'.__('The Essence of Natural Beauty !','spasalon').'</h1>
								<p class="txt-black">'.__('We at Dream Spa provide various services to the nature of the clients !','spasalon').'</p>
								<p><a href="#" class="more-link">'.__('Learn More About Us','spasalon').'</a></p>		
							</div>
						</li>';
						
					}
					
				endif;
				?>
			</ul>
		</div>
			
	</section>
</div>
<!-- End of Slider with Thumbnails -->
<script>
jQuery('#slider').flexslider({
        animation: "<?php echo $current_options['slide_effect_main']; ?>",
        controlNav: false,
        animationLoop: false,
        slideshow: true,
		slideshowSpeed: <?php echo $current_options['animation_speed_main']; ?>,
		animationSpeed: <?php echo $current_options['auto_slide_interval_main']; ?>,
        sync: "#carousel",
        start: function(slider){
          jQuery('body').removeClass('loading');
        }
    });
</script>

<div class="clearfix"></div>