<?php	
get_header(); 
$my_meta = get_post_meta( get_the_ID() ,'_my_meta', TRUE );
if( isset($my_meta['banner_enable'])==true ) {
spasalon_page_banner_strip();
}
else
{
spasalon_pink_banner_strip(); // banner strip
}
$term = get_term_by( 'slug', get_query_var('term'), get_query_var('taxonomy') );
?>
<section id="section">		
	<div class="container">
		<div class="row">
			
			<?php 
			
			$j=1;
			?>
			<div class="col-md-12 col-xs-12">
				<div class="product">
					<h3 class="product-title"><?php echo $term->name; ?></h3>
					
					<?php 
					while( have_posts() ): the_post();
					
						$my_meta = get_post_meta($post->ID,'_my_meta',TRUE);
						if(isset($my_meta['link']) && $my_meta['link']!='' )
						{	$meta_value_link = $my_meta['link']; }
						else
						{	$meta_value_link = get_permalink(); } 
						
						if(isset($my_meta['check']))
						{ $target ='target="_blank"';  }
						else 
						{ $target ='target="_self"';  }
					?>
					<aside class="item-product">
						
						<?php if( has_post_thumbnail() ): ?>
						<figure class="item">
							<a <?php echo $target; ?> href="<?php echo $meta_value_link; ?>"title="<?php the_title(); ?>">
								<?php the_post_thumbnail(); ?>
							</a>
						</figure>
						<?php endif; ?>
						
						<div class="product-info">
							<a <?php echo $target; ?> href="<?php echo $meta_value_link; ?>" class="product-name">
								<?php the_title(); ?>
							</a>
							<label class="product-description">
								<?php if( isset( $my_meta['description']) ) echo $my_meta['description']; ?>
							</label>
							<span class="product-price"><?php if( isset( $my_meta['price'] ) ) echo $my_meta['price']; ?></span>
						</div>
						
					</aside>
					<?php 
						if( $j%5==0 ){ echo "<div class='clearfix'></div>"; } $j++; 
						
						endwhile; ?>

				</div>
			</div>
		
		</div>	
	</div>
</section>

<div class="clearfix"></div>
<?php  get_footer(); ?>