<?php

$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );

if( $current_options['homepage_additional_hide'] != true ):

?>

<section id="section" class="home-post border-double">

	<div class="container">
		
		<!-- Section Title -->
		
		<div class="row">
		
			<div class="col-md-12">
			
				<div class="section-header">
					
					<?php if( $current_options['homepage_additional_title'] != '' ): ?>
					
					<h1 class="section-title">
					
						<?php echo $current_options['homepage_additional_title']; ?>
						
					</h1>
					
					<?php endif; ?>
					
					<?php if( $current_options['homepage_additional_contents'] != '' ): ?>
					
					<p class="section-subtitle">
					
						<?php echo $current_options['homepage_additional_contents']; ?>
						
					</p>
					
					<?php endif; ?>
					
				</div>
				
			</div>
			
		</div>
		
		<!-- /Section Title -->	
		
		
		<?php if( is_active_sidebar('sidebar-additional') ): ?>
		
		<div class="row">
		
			<?php dynamic_sidebar('sidebar-additional'); ?>
			
		</div>
		
		<?php endif; ?>
		
		
	</div>
	
</section>

<div class="clearfix"></div>

<?php endif; ?>