<?php
$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );
$call_us = $current_options['call_us'];
$slider_entries_main = $current_options['slider_entries_main'];
$slider_bannerstrip_enable = $current_options['slider_bannerstrip_enable'];

	if( $current_options['slider_cat'] ){
		
		$args = array( 'post_type' => 'post', 'category__in'=> $current_options['slider_cat'] , 'posts_per_page'=>$slider_entries_main );
	
	}
	else{
		
		$args = array( 'post_type' => 'spa_slider', 'posts_per_page'=>$slider_entries_main );
		
	}

$loop = new WP_Query( $args );
?>
<!-- Slider with Thumbnails -->
<div id="main" role="main">
	<section class="slider">
		<div id="slider" class="flexslider">
			<ul class="slides">
				<?php 
				
				if( $loop->have_posts() ):
				
					while ( $loop->have_posts() ) : $loop->the_post();
				
						$my_meta = get_post_meta( $post->ID ,'_my_meta', TRUE );
						
						if(isset($my_meta['link']))
						{	$meta_value_link = $my_meta['link'];	}
						else
						{	 $meta_value_link = get_permalink(); }
						
						if(isset($my_meta['check']))
						{	$target ='target="_blank"';  } else { $target ='target="_self"';  }
					
					$more_enable = sanitize_text_field( get_post_meta( get_the_ID(), 'more_enable', true ));
						$btn_text = sanitize_text_field( get_post_meta( get_the_ID(), 'btn_text', true ));
						$btn_link = sanitize_text_field( get_post_meta( get_the_ID(), 'btn_link', true ));
						$btn_target = sanitize_text_field( get_post_meta( get_the_ID(), 'btn_target', true ));
					
					if( has_post_thumbnail() ):
					
				?>
				<li>
					<?php 
					
						$title = get_post( get_post_thumbnail_id() )->post_title;
						$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), array( 1770 , 800 ) ); 
						$alt_text = get_post_meta( get_post_thumbnail_id() , '_wp_attachment_image_alt', true);
					
					?>
					<img alt="<?php echo $alt_text ?>" src="<?php echo $large_image_url[0]; ?>" title="<?php echo $title ?>"/>
					<?php if( $slider_bannerstrip_enable == 'yes' && isset($my_meta['banner_enable']) == true ): ?>
					<div class="container topbar-detail">
						<div class="col-md-3">
							<div class="title">
								<h4><?php if( isset( $my_meta['heading_one'] ) ){ echo $my_meta['heading_one']; } ?></h4>
								<h1><?php if( isset( $my_meta['heading_two'] ) ){ echo $my_meta['heading_two']; } ?></h1>
							</div>
						</div>
						<div class="col-md-6">
							<p class="description">
								<?php if( isset( $my_meta['banner_description'] ) ){ echo $my_meta['banner_description']; } ?>
							</p>
						</div>
						<div class="col-md-3"><div class="addr-detail"><address><?php echo $current_options['call_us_text']; ?> <strong><?php echo $call_us; ?></strong></address></div></div>
					</div>
					<?php else: 
					if( $slider_bannerstrip_enable == 'yes')
					{
					$postid = get_the_ID();
					if ( get_post_meta($postid, 'spa-page-banner-h1', true) || get_post_meta($postid, 'spa-page-banner-h2', true) || get_post_meta($postid, 'spa-page-description', true) )
					{
					 ?>
					<div class="container topbar-detail">
						<div class="col-md-3">
							<div class="title">
								<?php if( get_post_meta($postid, 'spa-page-banner-h1', true)) : ?>
								<h4><?php echo get_post_meta($postid, 'spa-page-banner-h1', true); ?></h4>
								<?php endif; ?>
								<?php if(get_post_meta($postid,'spa-page-banner-h2', true)): ?>
								<h1><?php echo get_post_meta($postid,'spa-page-banner-h2', true); ?></h1>
								<?php endif; ?>
							</div>
						</div>
						<div class="col-md-6">
							<?php if(get_post_meta($postid, 'spa-page-description', true)) :?>
							<p class="description">
							<?php echo get_post_meta($postid, 'spa-page-description', true);?>
							</p>
							<?php endif; ?>
						</div>
						<div class="col-md-3"><div class="addr-detail"><address><?php echo $current_options['call_us_text']; ?> <strong><?php echo $call_us; ?></strong></address></div></div>
					</div>
					<?php } } endif; ?>
				</li>
				<?php 
						endif;
						
					endwhile;
					
					wp_reset_postdata();
					
				else : 
				
					for( $i=1; $i<=8; $i++){
						
					echo '	<li>
							<img alt="img" src="'.(get_template_directory_uri()).'/images/default/image_2000x800.jpg" />
							<div class="container topbar-detail">
								<div class="col-md-3"><div class="title"><h4>'.__('Get Yourself','spasalon').'</h4><h1>'.__('Refreshed','spasalon').'</h1></div></div>
								<div class="col-md-6"><p class="description">'.__('Donec justo odio, lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla. Curabitur sed lectus nulla.lobortis eget congue sed, rutrum sit amet mauris. Curabitur sed lectus nulla rutrum sit amet mauris','spasalon').'</p></div>
								<div class="col-md-3"><div class="addr-detail"><address>'.__('CALL US ON','spasalon').'<strong>'.__('201 567 8978','spasalon').'</strong></address></div></div>
							</div>
						</li>';
						
					}
					
				endif;
				?>
			</ul>
		</div>
		
		<?php
		if( $current_options['slider_thumbnails_enable'] == 'yes' ) :
		
			if( $current_options['slider_cat'] ){
				
				$args1 = array( 'post_type' => 'post', 'category__in' => $current_options['slider_cat'] , 'posts_per_page'=>$slider_entries_main );
			
			}
			else{
				
				$args1 = array( 'post_type' => 'spa_slider', 'posts_per_page' => $slider_entries_main );
				
			}
			
			$loop2 = new WP_Query( $args1 );
		?>
		<div class="container thumb-caption-detail">
			<div class="row">
				<div id="carousel" class="flexslider">
					<ul class="slides">
						<?php 
						if( $loop2->have_posts() ):
				
							while ( $loop2->have_posts() ) : $loop2->the_post();
							
								$my_meta = get_post_meta($post->ID, '_my_meta', TRUE);
								
								$more_enable = sanitize_text_field( get_post_meta( get_the_ID(), 'more_enable', true ));
								$btn_text = sanitize_text_field( get_post_meta( get_the_ID(), 'btn_text', true ));
								$btn_link = sanitize_text_field( get_post_meta( get_the_ID(), 'btn_link', true ));
								$btn_target = sanitize_text_field( get_post_meta( get_the_ID(), 'btn_target', true ));
								
								
							if( has_post_thumbnail() ):
						?>
						<li>
						<?php
								$title = get_post(get_post_thumbnail_id())->post_title;
								
								$thumb_bread_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(),array(366,155));
								
								$alt_text = get_post_meta(get_post_thumbnail_id(), '_wp_attachment_image_alt', true);
						?>
						<img alt="<?php echo $alt_text ?>" src="<?php echo $thumb_bread_image_url[0]; ?>" title="<?php echo $title; ?>" />
						
							<div class="thumb-caption">
								<?php if( isset($my_meta['heading_one']) != '' || isset($my_meta['heading_two']) != '' ): ?>
								
								<span>
									<?php 
									
									if( isset( $my_meta['heading_one'] ) && $my_meta['heading_one'] != '' ){ 
									
										echo $my_meta['heading_one']; 
									
									} 
											
									if( isset( $my_meta['heading_two'] ) && $my_meta['heading_two'] != '' ){ 
										
										echo '<h4>'.$my_meta['heading_two'].'</h4>'; 
									}
									
									?>
								</span>
								<?php else :
								$postid = get_the_ID();
								if ( get_post_meta($postid, 'spa-page-banner-h1', true) || get_post_meta($postid, 'spa-page-banner-h2', true))
								{
								?>
								<span>
									<?php 
									
									if( get_post_meta($postid, 'spa-page-banner-h1', true)) : 
									
										echo get_post_meta($postid, 'spa-page-banner-h1', true);
									
									 endif;
											
									if(get_post_meta($postid,'spa-page-banner-h2', true)):
										
										echo '<h4>'.get_post_meta($postid,'spa-page-banner-h2', true).'</h4>'; 
									
									endif; 
									
									?>
								</span>
								<?php } endif; ?>
								
							</div>
							
							<?php
							if( isset( $more_enable ) && $more_enable == true ):
								
								$meta_value_link = '';
								
								$target ='target="_self"';
	
								$meta_value_link = $btn_link;
									
								$target          = ( $btn_target ? 'target="_blank"' : 'target="_self"' );
									
								$more_text       = $btn_text;	
								
							?>
							
							<a href="<?php echo $meta_value_link; ?>" <?php echo $target; ?> class="thumb-btn"><?php echo $more_text; ?></a>
							
							<?php endif; ?>
							
						</li>
						<?php 
								endif;
								
							endwhile;
							
						else:
						
							for( $i=1; $i<=8; $i++){
						
							echo '<li><img alt="img" src="'.(get_template_directory_uri()).'/images/default/image_2000x800.jpg" />
									<div class="thumb-caption">
										<span>'.__('PRODUCING','spasalon').'<h4>'.__('QUALITY','spasalon').'</h4></span>
									</div>
									<a href="#" class="thumb-btn">'.__('Explore More','spasalon').'</a>
								</li>';
								
							}
						
						endif; 
						?>
					</ul>
				</div>
			</div>
		</div>
		<?php endif; ?>
			
	</section>
</div>
<!-- End of Slider with Thumbnails -->
<script>
jQuery('#slider').flexslider({
        animation: "<?php echo $current_options['slide_effect_main']; ?>",
        controlNav: false,
        animationLoop: false,
        slideshow: true,
		slideshowSpeed: <?php echo $current_options['animation_speed_main']; ?>,
		animationSpeed: <?php echo $current_options['auto_slide_interval_main']; ?>,
        sync: "#carousel",
        start: function(slider){
          jQuery('body').removeClass('loading');
        }
    });
</script>

<div class="clearfix"></div>