<?php
/**
 * Template Name: Product Page
 *
 */
 
get_header(); 
$my_meta = get_post_meta( get_the_ID() ,'_my_meta', TRUE );
if( isset($my_meta['banner_enable'])==true ) {
spasalon_page_banner_strip();
}
else
{
spasalon_pink_banner_strip(); // banner strip
}
?>
<section id="section">		
	<div class="container">
		<div class="row">
			
			<?php 
			$categories = get_categories('taxonomy=product_categories&hide_empty=1');
			
			foreach( $categories as $category ){
				
				$args = array('post_type' => 'spa_products','tax_query' => array(array('taxonomy' => 'product_categories',	'field' => 'slug','terms' => $category->slug )));
				
				$query = new WP_Query( $args );
			?>
			<div class="col-md-12 col-xs-12">
				<div class="product">
					<h3 class="product-title"><?php echo $category->name; ?></h3>
					
					<?php 
					$j=1;
					while( $query->have_posts() ): $query->the_post();
					
						$my_meta = get_post_meta($post->ID,'_my_meta',TRUE);
						
						if(isset($my_meta['link']) && $my_meta['link']!='')
						{	$meta_value_link = $my_meta['link']; }
						else
						{	$meta_value_link = get_permalink(); } 
						
						if(isset($my_meta['check']))
						{ $target ='target="_blank"';  }
						else 
						{ $target ='target="_self"';  }
					?>
					<aside class="item-product">
						
						<?php if( has_post_thumbnail() ): ?>
						<figure class="item">
							<a <?php echo $target; ?> href="<?php echo $meta_value_link; ?>"title="<?php the_title(); ?>">
								<?php the_post_thumbnail(); ?>
							</a>
						</figure>
						<?php endif; ?>
						
						<div class="product-info">
							<a <?php echo $target; ?> href="<?php echo $meta_value_link; ?>" class="product-name">
								<?php the_title(); ?>
							</a>
							<label class="product-description">
								<?php if( isset( $my_meta['description']) ) echo get_homepage_product_excerpt($my_meta['description']); ?>
							</label>
							<span class="product-price"><?php if( isset( $my_meta['price'] ) ) echo $my_meta['price']; ?></span>
						</div>
						
					</aside>
					<?php 
						if( $j%5==0 ){ echo "<div class='clearfix'></div>"; } $j++; 
						
						endwhile; ?>

				</div>
			</div>
			
			<?php } ?>
		
		</div>	
	</div>
</section>

<div class="clearfix"></div>

<?php get_footer(); ?>