<?php
/**
 * Template Name: Home Page
 *
 * @package WordPress
 * @subpackage spasalon
 */
 
get_header(); 
$current_options = wp_parse_args(  get_option( 'spa_theme_options', array() ), default_data() );
	$front_page = $current_options['front_page_data'];
			
	$data = is_array($front_page) ? $front_page : explode(",",$front_page);
			
		if($data) 
		{
			foreach($data as $key=>$value)
			{
				switch($value) 
				{
					case 'slider':
						get_template_part('index','slider');
					break;
						
					case 'Service Section':
						get_template_part('index','service');
					break;
						
					case 'product section';
						get_template_part('index','product');
					break;
						
					case 'news';
						get_template_part('index','news');
					break;
					
					case 'additional';
						get_template_part('index','additional');
					break;
				}
			}
		}
get_footer(); ?>